Get a Payment by ID

get

/payment/{id}

Gets the specified payment.

Request

Path Parameters
  • The payment item ID or payment item number to get.
    Examples

Query Parameters
  • The type of object to return. Use @type=Payment for a base object, or @type=PaymentOracle for an extended object.
  • The comma-separated list of fields to return in the response.
    Examples

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The payment was retrieved successfully.
Body ()
Root Schema : Payment
Type: object
Title: Payment
A payment, including information about the payment, the payment amount, and the payment method.
Show Source
Nested Schema : AccountRef
Type: object
Refers to an account. An account may be a party account or a financial account.
Match All
Refers to an account. An account may be a party account or a financial account.
Show Source
Nested Schema : Money
Type: object
Represents a monetary amount.
Show Source
Nested Schema : ChannelRef
Type: object
A reference to a channel.
Show Source
Nested Schema : Related Party
Type: object
Title: Related Party
A party related to another object.
Show Source
Nested Schema : paymentItem
Type: array
Payment items that can be assigned to bills.
Show Source
Nested Schema : Payment Method Ref Or Value
Type: object
Title: Payment Method Ref Or Value
A link to the resource containing information about the payment method.
Show Source
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Addressable
Type: object
Defines a base schema for addressable entities.
Show Source
Nested Schema : EntityRef-allOf[2]
Type: object
Represents an entity reference schema for EntityRef classes.
Show Source
Nested Schema : Payment Item
Type: object
Title: Payment Item
A portion of a payment that can be assigned to a bill.
Show Source
Nested Schema : account
Type: array
Accounts associated with the payment method.
Show Source
Nested Schema : TimePeriod
Type: object
Represents a time period with a start date, an end date, or both.
Show Source

400 Response

The request isn't valid.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

401 Response

The client doesn't have the correct privileges.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

403 Response

The request wasn't authorized.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

404 Response

The requested resource couldn't be found.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

405 Response

This method is not allowed.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

409 Response

The request could not be processed due to the conflict with the existing state of the resource.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source

500 Response

The system encountered an internal error.
Body ()
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
Nested Schema : Extensible
Type: object
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
Nested Schema : Error-allOf[1]
Type: object
Show Source
Back to Top

Examples

Example 1: Get Payment Using Payment Item ID

The following example shows how to get a payment with a specified payment item ID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/payment/version/payment/0.0.0.1+-item-payment+84530'

Response Body

The following example shows the contents of the response body in JSON format.

{
   "id": "0.0.0.1+-item-payment+84530",
   "href": "http://host:port/brm/payment/version/payment/0.0.0.1+-item-payment+84530",
   "authorizationCode": null,
   "correlatorId": "P1-1",
   "description": "",
   "name": "Billing Event Log",
   "paymentDate": "2025-05-01T12:01:23-07:00",
   "status": "Unallocated",
   "statusDate": "2025-05-01T12:01:23-07:00",
   "account": {
      "id": "0.0.0.1+-account+103533",
      "href": null,
      "description": null,
      "name": "Jose Ochoa",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null,
      "@referredType": "billingAccount"
   },
   "amount": null,
   "channel": {
      "id": "0",
      "href": null,
      "name": "Unspecified",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null,
      "@referredType": null
   },
   "payer": null,
   "paymentItem": null,
   "paymentMethod": {
      "id": null,
      "href": null,
      "description": null,
      "isPreferred": null,
      "name": "Cash",
      "status": null,
      "statusDate": null,
      "account": null,
      "relatedParty": null,
      "validFor": null,
      "@baseType": "PaymentMethodRefOrValue",
      "@schemaLocation": null,
      "@type": "Cash",
      "@referredType": null,
      "details": {
         "receiptNo": "",
         "receiptDate": "2025-07-13T08:53:10-07:00"
      }
   },
   "taxAmount": null,
   "totalAmount": {
      "unit": "USD",
      "value": 10.0
   },
   "@baseType": "Payment",
   "@schemaLocation": null,
   "@type": "Payment"
}

Example 2: Get Payment Using Payment Item Number

The following example shows how to get a payment with a specified payment item number by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.

curl -X GET 'http://host:port/brm/payment/version/payment/P1-3'

Response Body

The following example shows the contents of the response body in JSON format.

{
   "id": "P1-3",
   "href": "http://host:port/brm/payment/version/payment/P1-3",
   "authorizationCode": null,
   "correlatorId": "P1-3",
   "description": "",
   "name": "Billing Event Log",
   "paymentDate": "2025-05-01T12:01:23-07:00",
   "status": "Unallocated",
   "statusDate": "2025-05-01T12:01:23-07:00",
   "account": {
      "id": "0.0.0.1+-account+23456",
      "href": null,
      "description": null,
      "name": "Elena Sanchez",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null,
      "@referredType": "billingAccount"
   },
   "amount": null,
   "channel": {
      "id": "0",
      "href": null,
      "name": "Unspecified",
      "@baseType": null,
      "@schemaLocation": null,
      "@type": null,
      "@referredType": null
   },
   "payer": null,
   "paymentItem": null,
   "paymentMethod": {
      "id": null,
      "href": null,
      "description": null,
      "isPreferred": null,
      "name": "Cash",
      "status": null,
      "statusDate": null,
      "account": null,
      "relatedParty": null,
      "validFor": null,
      "@baseType": "PaymentMethodRefOrValue",
      "@schemaLocation": null,
      "@type": "Cash",
      "@referredType": null,
      "details": {
         "receiptNo": "9405",
         "receiptDate": "2025-07-13T08:53:10-07:00"
      }
   },
   "taxAmount": null,
   "totalAmount": {
      "unit": "USD",
      "value": 24.0
   },
   "@baseType": "Payment",
   "@schemaLocation": null,
   "@type": "Payment"
}
Back to Top